Crawlzodocs
API referenceReddit

Reddit search (v1)

Keyword search over Reddit posts.

Hits Reddit's SDUI search XHR directly (no JS-challenge solve needed). Page forward by passing the returned nextCursor back as cursor.

POST
/v1/scrapers/reddit-search

Authorization

ApiKeyAuth
X-API-Key<token>

Your API key. Sent on every request.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/scrapers/reddit-search" \  -H "Content-Type: application/json" \  -d '{    "query": "best running shoes",    "sort": "top",    "time_filter": "year"  }'
{  "request_id": "req_8f2c1d94e7b0",  "success": true,  "status": {    "code": "OK",    "message": "Scrape completed.",    "retryable": false  },  "data": {    "data": {      "additional": {        "query": "best running shoes",        "sort": "top",        "time_filter": "year"      },      "main": [        {          "author_id": null,          "author_username": null,          "comment_count": 390,          "content_link": "https://www.reddit.com/r/MadeMeSmile/comments/1njago2/mans_best_friend_for_a_reason/",          "created_at": "2025-09-17T11:25:37.262000+00:00",          "created_utc": 1758108337,          "is_gallery": false,          "nsfw": false,          "permalink": "/r/MadeMeSmile/comments/1njago2/mans_best_friend_for_a_reason/",          "post_id": "t3_1njago2",          "post_id_base36": "1njago2",          "score": 134634,          "snippet": null,          "spoiler": false,          "subreddit": "MadeMeSmile",          "subreddit_id": "t5_2uqcm",          "subreddit_nsfw": false,          "subreddit_quarantined": false,          "thumbnail_image": "https://b.thumbs.redditmedia.com/WZ6sNHfPZ86KvB9o1RktRcROnpJtDnuQylehgD99s1s.jpg",          "title": "Man's best friend for a reason."        },        {          "author_id": null,          "author_username": null,          "comment_count": 2467,          "content_link": "https://www.reddit.com/r/nextfuckinglevel/comments/1pns2md/the_bondi_hero_alive_and_awake_with_the_prime/",          "created_at": "2025-12-16T03:48:39.112000+00:00",          "created_utc": 1765856919,          "is_gallery": false,          "nsfw": false,          "permalink": "/r/nextfuckinglevel/comments/1pns2md/the_bondi_hero_alive_and_awake_with_the_prime/",          "post_id": "t3_1pns2md",          "post_id_base36": "1pns2md",          "score": 114436,          "snippet": null,          "spoiler": false,          "subreddit": "nextfuckinglevel",          "subreddit_id": "t5_m0bnr",          "subreddit_nsfw": false,          "subreddit_quarantined": false,          "thumbnail_image": "https://external-preview.redd.it/bzhpdTN6dDduaDdnMUfAY9dEGE-VPMmXxFT6WUEqOTVj6Oo55e3lBGn2H9JZ.png?width=140&height=140&crop=1%3A1%2Csmart&format=jpg&auto=webp&s=e424e2666b5e166e7aebb0e321f51d3c97f012c2",          "title": "The bondi hero alive and awake with the Prime Minister of Australia."        },        "… 5 more items in the full response"      ]    },    "hasMore": true,    "nextCursor": "eyJjYW5kaWRhdGVzX3JldHVybmVkIjoie1wic2VjdGlvbl8xX3BpcGVsaW5lXzBfZ2xvYmFsX21vZGlmaWVyc1wiOlwiM1wiLFwic2VjdGlvbl8xX3BpcGVsaW5lXzFfbG9jYWxfbW9kaWZpZXJzXCI6XCIzXCIsXCJzZWN0aW9uXzJfcGlwZWxpbmVfMTFfcXVlcnlfc3VnZ2VzdGlvbnNcIjpcIjZcIixcInNlY3Rpb25fMl9waXBlbGluZV84X3Bvc3Rfc2VhcmNoXCI6XCI3XCIsXCJzZWN0aW9uXzNfcGlwZWxpbmVfMF9zdWJy… (+244 chars)"  },  "error": null,  "meta": {    "client_id": "client_abc123",    "scraper": "reddit-search",    "billable": true,    "duration_ms": 2218  }}